#
# spec file for package yast2-boot-server
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-boot-server
Version:        4.4.1
Release:        150400.1.10
Summary:        YaST2 - Network Booting and Wake-On-Lan Configuration
License:        GPL-2.0-only
Group:          System/YaST
URL:            https://github.com/yast/yast-boot-server
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 4.2.2
BuildRequires:  yast2-testsuite
Requires:       yast2
Requires:       yast2-ruby-bindings >= 1.0.0
BuildArch:      noarch

%description
YaST2 module for network booting and Wake-On-Lan.

%prep
%setup -q

%build
%yast_build

%install
%yast_install
%yast_metainfo

%files
%{yast_clientdir}
%{yast_moduledir}
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_icondir}
%license COPYING

%changelog
* Tue Apr 20 2021 dmueller@suse.com
- stop packaging docdir, it only contained the license which
  is now in licensedir (bsc#1184897)
- spec file cleanups
- 4.4.1
* Tue Apr 20 2021 lslezak@suse.cz
- 4.4.0
* Fri May 31 2019 hellcp@mailbox.org
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.0
* Tue Dec 18 2018 jreidinger@suse.com
- properly escape shell arguments (bsc#1118291)
- 4.1.1
* Sat Nov 24 2018 hellcp@mailbox.org
- Provide icon with module (boo#1109310)
- 4.1.0
* Mon Aug 20 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
- Changed dir of COPYING file.
* Thu Jun 28 2018 schubi@suse.de
- Added additional searchkeys to desktop file (fate#321043).
- 4.0.1
* Fri Apr  6 2018 mfilka@suse.com
- bnc#1087957 - version bump
- 4.0.0
* Tue May 31 2016 igonzalezsosa@suse.com
- Remove yast2-boot-server-devel-doc package (fate#320356).
- 3.1.2
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
- 3.1.1
* Fri Jan 24 2014 jreidinger@suse.com
- fix building
* Wed Sep 18 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Tue Nov 13 2012 tgoettlicher@suse.de
- confirmed license GPL v2
- 2.21.1
* Mon Sep 26 2011 visnov@suse.cz
- set dialog title
- make .desktop file name reasonable
- 2.21.0
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
* Mon Jul 10 2006 mzugec@suse.cz
- #188544 - replace buttons strings with Labels
* Sat Jun 17 2006 mzugec@suse.cz
- fixed #184884 - rewrite UI to response for `cancel
* Thu Jun  1 2006 mzugec@suse.cz
- fixed #180375 - add functionality for edit button
* Mon Mar  6 2006 mzugec@suse.cz
- fixed #142228 - buttons (enabled/disabled)
* Fri Jan  6 2006 mzugec@suse.cz
-version update
* Sat Aug 14 2004 nashif@suse.de
- Changed desktop icon to wol
* Wed Aug 11 2004 nashif@suse.de
- removed Abort button
* Sun Aug  8 2004 nashif@suse.de
- Use only 'wol' for waking up clients
* Wed Apr  7 2004 nashif@suse.de
- initial version
